using System;
using System.Runtime.InteropServices;

/// <summary>
/// SAI-12/SAI-14/SAI-16 API library definitions
/// </summary>
public class SAIxx
{
    // Device status (Return value)
    public const int SAI_OK = 0;
    public const int SAI_INVALID_ID = 1;
    public const int SAI_DEVICE_NOT_FOUND = 2;
    public const int SAI_DEVICE_NOT_OPENED = 3;
    public const int SAI_OTHER_ERROR = 4;
    public const int SAI_COMMUNICATION_ERROR = 5;

   // Function definitions
    [DllImport("SAIxx.dll")]
    public static extern int SAI_GetNumberOfDevices (ref int Number);
    [DllImport("SAIxx.dll")]
    public static extern int SAI_GetSerialNumber (int Index, ref int SerialNumber);
    [DllImport("SAIxx.dll")]
    public static extern int SAI_Open (ref byte ID);
    [DllImport("SAIxx.dll")]
    public static extern int SAI_OpenBySerialNumber (int SerialNumber, ref byte ID);
    [DllImport("SAIxx.dll")]
    public static extern int SAI_Close(byte ID);
    [DllImport("SAIxx.dll")]
    public static extern int SAI_GetAnalogVoltage (byte ID, ref double CH0Value, ref double CH1Value, ref double CH2Value, ref double CH3Value);
}
