/*++

Copyright (c) 2011-2014 ELMOS Co., Ltd.

Module Name:
	SAIxx.h
Abstract:
	SAI-12/SAI-16 API library definitions
Revision History:
	11/08/24	Created.
	13/05/01	Support for Windows 8.
	14/05/19	Fixed bug.

--*/

#ifndef SAIxx_H
#define SAIxx_H

#ifdef SAI_EXPORTS_
#define SAI_API __declspec(dllexport)
#else
#define SAI_API __declspec(dllimport)
#endif

//
// Device status (Return Value)
//
enum {
    SAI_OK,
    SAI_INVALID_ID,
    SAI_DEVICE_NOT_FOUND,
    SAI_DEVICE_NOT_OPENED,
	SAI_OTHER_ERROR,
	SAI_COMMUNICATION_ERROR,
};

#ifdef __cplusplus
extern "C" {
#endif

//
// Function definitions
//
SAI_API int WINAPI SAI_GetNumberOfDevices (int *Number);
SAI_API int WINAPI SAI_GetSerialNumber (int Index, int *SerialNumber);
SAI_API int WINAPI SAI_Open (BYTE *ID);
SAI_API int WINAPI SAI_OpenBySerialNumber (int SerialNumber, BYTE *ID);
SAI_API int WINAPI SAI_Close (BYTE ID);
SAI_API int WINAPI SAI_GetAnalogVoltage (BYTE ID, double *CH0Value, double *CH1Value, double *CH2Value, double *CH3Value);

#ifdef __cplusplus
}
#endif

#endif  /* SAIxx_H */
